artdaq - Idea #5304

Handle run-based and spill-based data
01/31/2014 10:24 AM - Kurt Biery

Status: Closed

Priority: Normal

Assignee:

Category: Needed Enhancements

Target version:

Experiment:

Start date: 01/31/2014
Due date:

% Done: 0%
Estimated time: 100.00 hours

Description

In our discussions with Lariat, the subject of how to handle run-based and spill-based data came up. Basically, this would be
information that is relevant for the whole run (or spill) and does not need to be repeated with each event, but would be valuable to

have in the data file that is written by that DAQ.

Thinking about this a little bit, it seems like the right way to do this would be to pass this data to the art Run and Subrun data

products.

The work involved in making this happen would include talking with art folks to determine if this approach makes sense, and if so,
what would be the right way to do it in art. There could be some spin-offs of this task in the art project, if we determine that art

changes are needed to support this.

The time frame for needing this will depend on how urgently the Lariat folks will need it. How quickly we can deliver it will depend on
a number of things, including whether it could be supported within art and artdaq without substantial changes.

Related issues:

Related to artdaq - Feature #6160: Provide support for adding package version... Closed 05/02/2014 05/30/2014

History

#1 - 04/17/2014 03:57 PM - Kurt Biery
- Target version set to 576

- Estimated time changed from 200.00 h to 120.00 h

#2 - 05/06/2014 10:46 AM - Kurt Biery
- Estimated time changed from 120.00 h to 100.00 h

Reducing the estimated time by 20 hours to reflect the work that has been split off in Issue #6160.

#3 - 01/13/2017 04:24 PM - Eric Flumerfelt
- Category set to Needed Enhancements

- Target version deleted (576)

I'm wondering how much of this issue might be resolved by "DCS" BoardReaders running a Single-mode CommandableFragmentGenerator...

#4 - 01/27/2018 12:20 PM - Eric Flumerfelt

- Status changed from New to Closed

I'm closing this issue because we have demonstrated methods for doing this (Buildinfo, configuration stored in data files). If there is a specific need
that arises in the future, we can deal with it as a new issue (and hopefully resolve it faster than ~4 years).
